Skip to main content
`Ctrl`+`K`

# DMPlexGetGeomModelBodies

Returns an array of `PetscGeom` BODY objects attached to the referenced geometric model entity as well as the number of BODYs.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGeomModelBodies(DM dm, PetscGeom **bodies, PetscInt *numBodies) PeNS

Collective

## Input Parameter

- dm - The DMPlex object with an attached PetscContainer storing a CAD Geometry object

## Output Parameters

- bodies - Array of PetscGeom BODY objects referenced by the geometric model.

- numBodies - Number of BODYs referenced by the geometric model. Also the size of **bodies array.

## See Also

`DMPlexGetGeomModelBodyShells()`, `DMPlexGetGeomModelTUV()`, `DMPlexInflateToGeomModelUseTUV()`, `DMPlexInflateToGeomModelUseXYZ()`

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

## Examples

src/dm/impls/plex/tutorials/ex19.c
src/dm/impls/plex/tutorials/ex18.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages